package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 房源与销售批次表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaHouseSales implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 房源与销售批次表
     */
    @TableId(value = "house_sales_id", type = IdType.AUTO)
    private Integer houseSalesId;

    /**
     * 销售批次id
     */
    private Integer salesBatchId;

    /**
     * 房源id
     */
    private Integer houseId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;


}
