package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 房源表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaHousingResources implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 房源id
     */
    @TableId(value = "house_id", type = IdType.AUTO)
    private Integer houseId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 楼栋 与楼盘区分
     */
    private String blockId;

    /**
     * 楼栋名称
     */
    private String blockName;

    /**
     * 单元id
     */
    private String unitId;

    /**
     * 单元名称
     */
    private String unitName;

    /**
     * 层id
     */
    private String floorId;

    /**
     * 楼层名称
     */
    private String floorName;

    /**
     * 房号
     */
    private String roomNumber;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 基础热度
     */
    private Integer heat;

    /**
     * 户型id
     */
    private String apartmentId;

    /**
     * 状态
     */
    private String status;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    private String updateDate;


}
